//This file is part of Furius Iso Mount. Copyright 2008 Dean Harris (marcus_furius@hotmail.com)
//
//    Furius Iso Mount is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Furius Iso Mount is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Furius Iso Mount.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Gtk;

namespace FuriusIsoMount
{
	/// <summary>
    /// Helper class for the Gtk.MessageDialog
    /// </summary>
	public static class MessageBox
	{
				
		/// <summary>
        /// Shows a message box
        /// </summary>
		/// <param name="parentWindow">The Parent Window</param>
		/// <param name="message">The message to display</param>
		/// <param name="messageType">MessageType i.e. error, info, question</param>
		public static void Show (Window parentWindow, string message, MessageType messageType)
		{
			Dialog dialog = new MessageDialog (parentWindow, 
			                                   DialogFlags.Modal, 
			                                   messageType, 
			                                   ButtonsType.Ok, message);
			dialog.SetDefaultSize (300,100);
			dialog.Modal = true;
			dialog.Run ();
			dialog.Destroy ();
		}
		
		/// <summary>
        /// Shows a message box
        /// </summary>
		/// <param name="parentWindow">The Parent Window</param>
		/// <param name="message">The message to display</param>
		/// <param name="messageType">MessageType i.e. error, info, question</param>
		/// <param name="buttonsType">ButtonsType i.e. YesNo, Cancel</param>
		public static ResponseType Show (Window parentWindow, string message, MessageType messageType, ButtonsType buttonsType)
		{
			MessageDialog dialog = new MessageDialog (parentWindow, 
                                      DialogFlags.DestroyWithParent,
			                          messageType, 
                                      buttonsType, message);			     
			ResponseType result = (ResponseType)dialog.Run ();
			dialog.Destroy();
			return result;
		}
		
		
	}
}
